import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/core/styles/app_images.dart';
import 'package:tanami_app/core/styles/app_text.dart';
import 'package:tanami_app/shared/components/text_widget.dart';

Widget kycCard() {
  return Padding(
    padding: const EdgeInsets.symmetric(
      horizontal: 16,
      vertical: 10,
    ),
    child: Container(
      padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 8),
      decoration: ShapeDecoration(
        color: const Color(0xFFD9EDE0),
        shape: RoundedRectangleBorder(
          side: const BorderSide(
            width: 1,
            color: AppColor.kycCardBgColor,
          ),
          borderRadius: BorderRadius.circular(22),
        ),
        shadows: const [
          BoxShadow(
            color: Color(0x33066123),
            blurRadius: 8,
            offset: Offset(-3, -3),
            spreadRadius: 0,
          ),
          BoxShadow(
            color: Color(0x26122F1A),
            blurRadius: 8,
            offset: Offset(3, 3),
            spreadRadius: 0,
          )
        ],
      ),
      child: Row(
        children: [
          SvgPicture.asset(
            AppImages.upgradeIcon,
          ),
          const Gap(8),
          Expanded(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                TextWidget().text14W600(
                  AppText.experiencedInvestorText,
                  clr: AppColor.kycCardTextColor,
                ),
                TextWidget().text11W500(
                  AppText.upgradeText,
                  clr: AppColor.kycCardTextColor,
                ),
              ],
            ),
          ),
          const Gap(8),
          const Icon(
            Icons.arrow_forward_ios_rounded,
            color: AppColor.kycCardTextColor,
          )
        ],
      ),
    ),
  );
}
